Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Class NotifyDescriptor.Message

    java.lang.Object
      org.openide.NotifyDescriptor
          org.openide.NotifyDescriptor.Message

Enclosing class:
  NotifyDescriptor

    public static class NotifyDescriptor.Message

extends NotifyDescriptor

Provides information about the results of a command. Offers no user choices; the user can only acknowledge the message.

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.NotifyDescriptor
`NotifyDescriptor.Confirmation, NotifyDescriptor.Exception, NotifyDescriptor.InputLine, NotifyDescriptor.Message`

Field Summary

Fields inherited from class org.openide.NotifyDescriptor
`CANCEL_OPTION, CLOSED_OPTION, DEFAULT_OPTION, ERROR_MESSAGE, INFORMATION_MESSAGE, NO_OPTION, OK_CANCEL_OPTION, OK_OPTION, PLAIN_MESSAGE, PROP_DETAIL, PROP_MESSAGE, PROP_MESSAGE_TYPE, PROP_OPTION_TYPE, PROP_OPTIONS, PROP_TITLE, PROP_VALID, PROP_VALUE, QUESTION_MESSAGE, WARNING_MESSAGE, YES_NO_CANCEL_OPTION, YES_NO_OPTION, YES_OPTION`

Constructor Summary
`NotifyDescriptor.Message(Object message)` Create an informational report about the results of a command.
`NotifyDescriptor.Message(Object message, int messageType)` Create a report about the results of a command.

Method Summary

Methods inherited from class org.openide.NotifyDescriptor
`addPropertyChangeListener, firePropertyChange, getAdditionalOptions, getDefaultValue, getMessage, getMessageType, getOptions, getOptionType, getTitle, getTitleForType, getValue, initialize, isValid, removePropertyChangeListener, setAdditionalOptions, setMessage, setMessageType, setOptions, setOptionType, setTitle, setValid, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyDescriptor.Message

    public NotifyDescriptor.Message(Object message)

  Create an informational report about the results of a command.

  Parameters:
    `message` - the message object
  See Also:
    `NotifyDescriptor.NotifyDescriptor(java.lang.Object, java.lang.String, int, int, java.lang.Object[], java.lang.Object)`

### NotifyDescriptor.Message

    public NotifyDescriptor.Message(Object message,
                                    int messageType)

  Create a report about the results of a command.

  Parameters:
    `message` - the message object
    `messageType` - the type of message to be displayed
  See Also:
    `NotifyDescriptor.NotifyDescriptor(java.lang.Object, java.lang.String, int, int, java.lang.Object[], java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.